---
updatedAt: 2026-07-06T17:44:23.000Z
---

# Get WFS Recommended Shipment Quantity

Use this API to get recommended shipment quantities for the items that you plan to send to Walmart Fulfillment Services (WFS) in order to achieve optimal inventory levels.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Recommendations API",
    "description": "APIs for providing recommendations to sellers.",
    "version": "3.1"
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production server for all APIs."
    }
  ],
  "tags": [
    {
      "name": "Recommendations",
      "description": "APIs for providing recommendations to sellers."
    }
  ],
  "paths": {
    "/v3/wfs/recommendation/shipment-quantity": {
      "post": {
        "tags": [
          "Recommendations"
        ],
        "summary": "Get WFS Recommended Shipment Quantity",
        "description": "Use this API to get recommended shipment quantities for the items that you plan to send to Walmart Fulfillment Services (WFS) in order to achieve optimal inventory levels.",
        "operationId": "getShipmentQuantityRecommendations",
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "description": "Basic authorization header. Base 64 encodes the Client ID and Client Secret retrieved in step two of the integration steps.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Basic YzcyOTFjNmItNzI5MC00...."
          },
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "The access token retrieved in the Token API call",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM....."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Walmart Service Name.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Service Name"
          },
          {
            "in": "header",
            "name": "Accept",
            "description": "Only supported Media Type : application/json.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          },
          {
            "in": "header",
            "name": "WM_GLOBAL_VERSION",
            "description": "Global version for API compatibility.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "3.1"
          },
          {
            "in": "header",
            "name": "WM_MARKET",
            "description": "Market identifier.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "US"
          }
        ],
        "requestBody": {
          "description": "Request body containing GTINs or SKUs to retrieve the quantity limit.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "listOfGtins": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "List of GTINs to request recommended shipment quantities for.",
                    "maxItems": 1000
                  },
                  "listOfSkus": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "List of SKUs to request recommended shipment quantities for.",
                    "maxItems": 1000
                  }
                },
                "oneOf": [
                  {
                    "required": [
                      "listOfGtins"
                    ]
                  },
                  {
                    "required": [
                      "listOfSkus"
                    ]
                  }
                ]
              },
              "examples": {
                "gtins_example": {
                  "summary": "Request with GTINs",
                  "value": {
                    "listOfGtins": [
                      "00723508807642",
                      "00643131798370",
                      "00643131799155"
                    ],
                    "listOfSkus": []
                  }
                },
                "sku_example": {
                  "summary": "Request with SKUs",
                  "value": {
                    "listOfGtins": [],
                    "listOfSkus": [
                      "79903-108",
                      "79903-109",
                      "79903-110"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "OK"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "replenishments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "itemId": {
                                "type": "string",
                                "description": "The Walmart-assigned ID used to track items. This ID is located at the end of the item page URL."
                              },
                              "gtin": {
                                "type": "string",
                                "description": "The Global Trade Identification Number (GTIN) associated with the item. If you provide a 12-digit UPC rather than a GTIN, the GTIN will start with two 0s followed by the UPC."
                              },
                              "upc": {
                                "type": "string",
                                "description": "Universal Product Code (UPC) of the item."
                              },
                              "vendorSku": {
                                "type": "string",
                                "description": "The unique identifier assigned to the item by the seller."
                              },
                              "maxQty": {
                                "type": "integer",
                                "description": "Recommended maximum quantity for the item"
                              },
                              "suggestedQty": {
                                "type": "integer",
                                "description": "Suggested inbound quantity"
                              },
                              "customerFavorite": {
                                "type": "boolean",
                                "description": "Indicates whether the item is identified as a customer favorite based on customer demand.",
                                "enum": [
                                  true,
                                  false
                                ],
                                "example": true
                              }
                            },
                            "required": [
                              "itemId",
                              "gtin",
                              "vendorSku",
                              "maxQty"
                            ]
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "status": "OK",
                  "payload": {
                    "replenishments": [
                      {
                        "itemId": "430783001",
                        "gtin": "06943478024076",
                        "upc": "0e45a142-55cd-4c79-911e-5e434edb16c0",
                        "vendorSku": "HAPE-E3029",
                        "suggestedQty": 100,
                        "maxQty": 200,
                        "customerFavorite": true
                      },
                      {
                        "itemId": "667578490",
                        "gtin": "06943478024953",
                        "upc": "bea01a52-9903-415b-a2b2-ab5d8edb46a8",
                        "vendorSku": "HAPE-E0457",
                        "suggestedQty": 50,
                        "maxQty": 100,
                        "customerFavorite": false
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Missing required GTIN or SKU",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "status": "INTERNAL_SERVER_ERROR",
                  "errors": [
                    {
                      "code": "400.WFS.100",
                      "field": "null",
                      "description": "gtin/sku is required attribute.",
                      "info": "Missing required identifier",
                      "severity": "ERROR",
                      "category": "REQUEST",
                      "causes": []
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Invalid route",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResponse"
                },
                "example": {
                  "timestamp": "2025-03-20T06:51:42.519+00:00",
                  "status": 404,
                  "error": "Not Found",
                  "path": "/v1/inventory/manageInventory/getInbound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - All GTINs are invalid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "status": "INTERNAL_SERVER_ERROR",
                  "errors": [
                    {
                      "code": "500.WFS.100",
                      "field": null,
                      "description": "An unexpected error occurred.",
                      "info": "All GTIN's are invalid",
                      "severity": "ERROR",
                      "category": "REQUEST",
                      "causes": []
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "field": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "info": {
            "type": "string"
          },
          "severity": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "causes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        },
        "xml": {
          "name": "Error"
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "NotFoundResponse": {
        "type": "object",
        "properties": {
          "timestamp": {
            "type": "string",
            "format": "date-time"
          },
          "status": {
            "type": "integer"
          },
          "error": {
            "type": "string"
          },
          "path": {
            "type": "string"
          }
        }
      }
    }
  }
}
```